/**
 *  Introduces component library styles on demand.
 * https://github.com/antfu/unplugin-vue-components
 */
import { AntDesignVueResolver } from 'unplugin-vue-components/resolvers';

import Components from 'unplugin-vue-components/vite';

export function configStyleImportPlugin(isBuild: boolean) {
  if (!isBuild) {
    return [];
  }
  return Components({
    resolvers: [AntDesignVueResolver()],
  });
}
